Reply
Thread Tools
Estel's Avatar
Posts: 4,602 | Thanked: 7,511 times | Joined on Mar 2011
#111
Originally Posted by FlameReaper View Post
Though, I'm quite perplexed that since N9s have capacitive screens, MyPaint more or less won't work on it
You can be 100% sure that it won't work on it, in any way. no matter of fancy bought/DIY "capacitive styluses", detected press area is just too big. Capacitive screens are just crap, like rest of overpriced toy in question.

/Estel
__________________
N900's aluminum backcover / body replacement
-
N900's HDMI-Out
-
Camera cover MOD
-
Measure battery's real capacity on-device
-
TrueCrypt 7.1 | ereswap | bnf
-
Hardware's mods research is costly. To support my work, please consider donating. Thank You!
 

The Following 2 Users Say Thank You to Estel For This Useful Post:
strange1712's Avatar
Posts: 185 | Thanked: 110 times | Joined on Jul 2010 @ Mexico DF, Mexico
#112
Originally Posted by Estel View Post
You can be 100% sure that it won't work on it, in any way. no matter of fancy bought/DIY "capacitive styluses", detected press area is just too big. Capacitive screens are just crap, like rest of overpriced toy in question.

/Estel
I use A LOT (not necessarily MyPaint) my N900 as an Equation Pad, so I fully agree...
__________________
Linux Registered User # 492214
http://counter.li.org/
------------------------
N900 registered as Linux Machine # 426325
 

The Following User Says Thank You to strange1712 For This Useful Post:
Posts: 238 | Thanked: 372 times | Joined on Apr 2011 @ RO
#113
Originally Posted by FlameReaper View Post
I don't really think we're in a hurry to upgrade to the latest MyPaint (which is at version 1.0.0 or so) because the current one, as far as my experience goes, is doing fine even till now. But I'm not against the effort to make an upgrade to the existing one available, so taking it slowly is fine too.

Though, I'm quite perplexed that since N9s have capacitive screens, MyPaint more or less won't work on it... which is too bad since I kind of want the phone with this on it.

Some of the new features added in MyPaint 1.0.0 is the re-worked UI making it dockable (although for the time being they only dock to the right of the screen), and some other generic changes in the brush palettes and a new feature called the Scratchpad, which is convenient for users to try out various coloring and brush stroke combinations etc without having to jot them on the main drawing canvas.

As far as the rendering quality/performance ratio goes I haven't been able to notice significant increase nor decrease either, at least from what I think of it. Other users who experienced both MyPaint 1.0.0 on the desktop and 0.9.1 on the N900 might have better input than me... or so I hope.
and what about the new feature: Lock Alpha Chanel
I think is the best feature that we must have.
 
Posts: 47 | Thanked: 188 times | Joined on Sep 2011
#114
Originally Posted by SHARP66 View Post
and what about the new feature: Lock Alpha Chanel
I think is the best feature that we must have.
Yeah, that and another feature I missed: Document frames. MyPaint versions prior to 1.0 basically makes you draw as far as your lines stretch... there was once I almost blew my laptop because I drew up to a 20,000 pixels-wide image (and almost 10,000px in height) by accident. Having a limiting frame helps you keep your pixel requirements in check.
 
Posts: 199 | Thanked: 293 times | Joined on May 2011
#115
So I'm trying to make my own brush for MyPaint (and I guess for the N900 mypaint more specifically)

basically like the default basic pen brush in GIMP:


I've not had a success so far, but is it do-able? or do I have to change settings here:



and if so, where can I find the preference files so I can have a backup copy of these settings?
 
Posts: 757 | Thanked: 2,908 times | Joined on Mar 2009
#116
Originally Posted by lonk View Post
and if so, where can I find the preference files so I can have a backup copy of these settings?
I think every settings are in /home/user/.mypaint/settings.json

I can't say anything about your brush idea.
 

The Following 2 Users Say Thank You to AapoRantalainen For This Useful Post:
som3a's Avatar
Posts: 128 | Thanked: 33 times | Joined on May 2011 @ sudan
#117
he guys ,,

tried to install my paint and it done installing n the icon showed up on the menu .. but there was a problem opening it !!
when clicking on the icon it just don't open !!
when writing mypaint on the terminal it said that i needed to upgrade the PyGTK ,, I've looked for n i get this link :
http://www.daa.com.au/~james/software/pygtk/
get my self there n downloaded the latest version 2.24 ( as they said )
help me plz ,
n BTW how can i instal files that ended by bz2 , gz on n900
 
Posts: 757 | Thanked: 2,908 times | Joined on Mar 2009
#118
Originally Posted by som3a View Post
when writing mypaint on the terminal it said that i needed to upgrade the PyGTK ,, I've looked for n i get this link :
http://www.daa.com.au/~james/software/pygtk/
get my self there n downloaded the latest version 2.24 ( as they said )
help me plz ,
n BTW how can i instal files that ended by bz2 , gz on n900
You are doing it too hard way. There are no need for downloading anything by hands. Installing mypaint and upgrading existing packages is enough.
On Maemo5 we have python-gtk2 -2.12.1-6maemo10 which is enough to run Mypaint. Check do you have that version.
(e.g. apt-cache policy python-gtk2)

And then post exact error message. It contains row numbers and they can give hints what is happening.
 
som3a's Avatar
Posts: 128 | Thanked: 33 times | Joined on May 2011 @ sudan
#119
when i do ( apt-cache policy python-gtk2 )
it gimme that the version 2.12.1-maemo10 as u said n everything seems fine ,,
but when i run ( mypaint ) it gives me :
( you need to upgrade PyGTK , at least version 2.16.0 is required )

what i have to do ??
 
Posts: 16 | Thanked: 5 times | Joined on Sep 2011 @ Suffolk
#120
Originally Posted by AapoRantalainen View Post
You are doing it too hard way. There are no need for downloading anything by hands. Installing mypaint and upgrading existing packages is enough.
On Maemo5 we have python-gtk2 -2.12.1-6maemo10 which is enough to run Mypaint. Check do you have that version.
(e.g. apt-cache policy python-gtk2)

And then post exact error message. It contains row numbers and they can give hints what is happening.
Hi Aapo

I have recently installed Mypaint again (v.0.9.1-maemo7). Upon starting from icon, app fails to load. Starting via Xterm gives the following:

/home/user # mypaint
external python-simplejson
process 2924: arguments to dbus_connection_get_data() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 5757.
This is normally a bug in some application using the D-Bus library.
process 2924: arguments to dbus_connection_set_data() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 5721.
This is normally a bug in some application using the D-Bus library.
Aborted

I can confirm the following are installed:
python-gtk2:
Installed: 2.12.1-6maemo10
libgtk2.0-0:
Installed: 2:2.14.7-1maemo34+0cssu1
firmware= 21.2011.38-1Tmaemo3.1

Does the above error messages mean anything to you and/or can you suggest any fixes please?

Many thanks, Matt
 
Reply

Tags
mypaint

Thread Tools

 
Forum Jump


All times are GMT -4. The time now is 07:11 PM.